Subject: wu-ftpd compilation - i'm getting nuts

From: Marcelo Dantas <[email-masked]>
Date: Thu, 15 Feb 1996 11:30:15 -0300

Hi friends...

I'm having some trouble here - compiling wu-ftpd-2.4.2-beta-9 in a
Linux box (kernel 1.3.20 ELF).
I decompressed and "tar -xvf" the ....tar.Z file at /tmp and it created
a wu-ftpd-2.4.2-beta-9 directory.
Then i got into the directory and issued ./build lnx.
The folowing messages appeared:

make args are:
make opts are:

Linking Makefiles.

making support library.
gcc -O2 -fomit-frame-pointer   -c fnmatch.c
gcc -O2 -fomit-frame-pointer   -c strcasestr.c
gcc -O2 -fomit-frame-pointer   -c authuser.c
rm -r libsupport.a
ar cq libsupport.a fnmatch.o strcasestr.o authuser.o
ranlib libsupport.a

making ftpd.
make: *** No rule to make target `ftpd'. Stop.

making ftpcount.
make: *** No rule to make target `ftpcount'. Stop.

making ftpshut.
make: *** No rule to make target `ftpshut'. Stop.

making ckconfig.
make: *** No rule to make target `ckconfig'. Stop.

links to executables are in bin directory:
size: bin/ftpd: no such file or directory
.... and so on

I then jumped to src directory and issued:

make -f Makefile ftpd

and it got an error when compiling glob.c - the error is:

glob.c: In function `matchdir':
glob.c:240: dereferencing pointer to incomplete type
make: *** [glob.o] Error 1

I'm trying to use this version of wu-ftpd 'cause i have two problems:

1 - i'm trying to give my users a ftp connection with chroot() to their home
    directories - i'm following Michael Brennen's guest-howto.

2 - sometimes when an user does ftp downloading - my server crashes with
    the message: kernel panic - in swapper task - not syncing

i hope that this version of wu-ftpd can help-me with this and you can help-me
with this version of wu-ftpd.

:) + :( + :) + :( = :{

hope to hear from you soon...

-- 

Marcelo F. Dantas
mailto://[email-masked]
-------------------------------